pepperflashplugin-nonfree_1.8.4_i386.deb


Advertisement

Description

pepperflashplugin-nonfree - Pepper Flash Player - browser plugin

Property Value
Distribution Debian Sid
Repository Debian Contrib i386
Package filename pepperflashplugin-nonfree_1.8.4_i386.deb
Package name pepperflashplugin-nonfree
Package version 1.8.4
Package release -
Package architecture i386
Package type deb
Category contrib/web uitoolkit::gtk
Homepage http://wiki.debian.org/PepperFlashPlayer
License -
Maintainer Debian QA Group <packages@qa.debian.org>
Download size 5.97 KB
Installed size 29.00 KB

Alternatives

Package Version Architecture Repository
pepperflashplugin-nonfree_1.8.4_amd64.deb 1.8.4 amd64 Debian Contrib
pepperflashplugin-nonfree - - -

Requires

Name Value
binutils -
ca-certificates -
debconf -
debconf-2.0 -
gnupg -
gnupg1 -
libatk1.0-0 -
libcairo2 -
libcurl3-gnutls -
libfontconfig1 -
libfreetype6 -
libgcc1 -
libglib2.0-0 -
libgtk2.0-0 >= 2.14
libnspr4 -
libnss3 -
libpango-1.0-0 -
libpango1.0-0 -
libstdc++6 -
libx11-6 -
libxext6 -
libxt6 -
wget -

Conflicts

Name Value
chromium << 37.0.2062.120-4
libflash-mozplugin -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package pepperflashplugin-nonfree_1.8.4_i386.deb
Source Package pepperflashplugin-nonfree

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pepperflashplugin-nonfree deb package:
    # sudo apt-get install pepperflashplugin-nonfree

Files

Path
/etc/chromium.d/pepperflashplugin-nonfree
/usr/sbin/update-pepperflashplugin-nonfree
/usr/share/doc/pepperflashplugin-nonfree/changelog.gz
/usr/share/doc/pepperflashplugin-nonfree/copyright

Changelog

2019-02-15 - Shengjing Zhu <zhsj@debian.org>
pepperflashplugin-nonfree (1.8.4) unstable; urgency=medium
* QA upload.
* Set Maintainer to Debian QA Group
* Remove unused pubkey-google.txt
* Update package description to reflect the current
implementation (Closes: #912673)
* Add i386 to package architecture (Closes: #886487)
* Convert package to git and set Vcs-{Browser,Git} field
* Use install command to copy files (Closes: #880710)
* Fix wget using verbose option all the time (Closes: #858759)
* Remove hal from Suggests, hal has been removed from archive
2017-01-14 - Yann Dirson <dirson@debian.org>
pepperflashplugin-nonfree (1.8.3+nmu1) unstable; urgency=medium
[ Bob Proulx ]
* Patched to use Adobe upstream rather than Google.
* Inspired by the patch provided in Bug#833741#15 by Kristian Klausen
but rewritten.  Closes: #833741,  #841373, #840779.
* Adds in 32-bit support.
[ Yann Dirson ]
* Non-maintainer upload.
* Updated Bob's patch to apply on 1.8.3
2016-08-07 - Bart Martens <bartm@debian.org>
pepperflashplugin-nonfree (1.8.3) unstable; urgency=medium
* update-pepperflashplugin-nonfree:
Added 'Dir::State::Status "/var/lib/dpkg/status";'.  Closes: #833643.
* debian/control: Depends: gnupg1 | gnpug.
2016-05-13 - Kristian Klausen <klausenbusk@hotmail.com>
pepperflashplugin-nonfree (1.8.2+nmu1) unstable; urgency=medium
* Non-maintainer upload.
* Update Google public key. Closes: #823005.
* Remove 32 bit support. Closes: #816848.
* Don't treat `apt-get update` warnings as errors. Closes: #818540.
* Validate deb file with sha256sum.
2015-12-17 - Bart Martens <bartm@debian.org>
pepperflashplugin-nonfree (1.8.2) unstable; urgency=medium
* Added APT::Sandbox::User "root"; Closes: #769740.
* Added '|| true'. Closes: #803349.
2014-12-21 - Bart Martens <bartm@debian.org>
pepperflashplugin-nonfree (1.8.1) unstable; urgency=medium
* debian/control: Pre-Depends: ca-certificates.  Closes: #773629.
2014-10-22 - Bart Martens <bartm@debian.org>
pepperflashplugin-nonfree (1.8) unstable; urgency=medium
* Removed support for /etc/chromium/default.  Closes: #760388.
+ etc-chromium-default.txt: Removed.
+ debian/etc/chromium.d/pepperflashplugin-nonfree: Added.
+ debian/dirs: Added etc/chromium.d/.
+ debian/install: add file in etc/chromium.d/.
+ update-pepperflashplugin-nonfree: Removed dealing with
/etc/chromium/default and /etc/chromium.d.
+ debian/control: Conflicts: chromium (<< 37.0.2062.120-4).  This package
doesn't really conflict with these old versions of chromium, but it makes
explicit that pepperflashplugin-nonfree isn't useful for versions of
chromium still using /etc/chromium/default, as agreed on debian-release
on Sun, 12 Oct 2014 15:38:03 +0200.
2014-09-14 - Bart Martens <bartm@debian.org>
pepperflashplugin-nonfree (1.7) unstable; urgency=medium
* Closes: #761397 :
+ etc-chromium-default.txt: Use same approach as in
update-pepperflashplugin-nonfree for reading the flash version
from the so file.
+ update-pepperflashplugin-nonfree: Replace contents of
etc-chromium-default.txt in /etc/chromium/default when
installing again.
+ Remove contents of etc-chromium-default.txt from /etc/chromium/default
when uninstalling and when /etc/chromium.d exists.
* update-pepperflashplugin-nonfree: Added removal of old deb files.
Closes: #761323, #761495.

See Also

Package Description
pidgin-skype-common_20140930+svn665+dfsg-1_i386.deb Skype plugin for libpurple messengers (common files)
pidgin-skype_20140930+svn665+dfsg-1_i386.deb Skype plugin for libpurple messengers (Pidgin-specific files)
play.it_2.11.0-1_all.deb Installer for drm-free commercial games
playonlinux_4.3.4-1_all.deb front-end for Wine
pokemmo-installer_1.4.7-2_all.deb Installer and Launcher for the PokeMMO emulator
primesense-nite-nonfree_0.1.1_i386.deb OpenNI module providing gesture and skeleton tracking
prism2-usb-firmware-installer_0.2.9+dfsg-6_i386.deb firmware files for the prism2_usb kernel driver
publicfile-installer_0.14_all.deb installer package for the publicfile HTTP and FTP server
pvpgn_1.8.5-2.1+b1_i386.deb gaming server that emulates Battle.net(R)
python-ifeffit_1.2.11d-10.2+b3_i386.deb Python GUI interface and extensions for IFEFFIT
python-pycuda-doc_2018.1.1-3_all.deb module to access Nvidia‘s CUDA computation API (documentation)
python-vertica_0.9.3-1_all.deb native Python client for the Vertica database
python3-pynvml_7.352.0-2_i386.deb Python3 bindings to the NVIDIA Management Library
python3-vertica_0.9.3-1_all.deb native Python client for the Vertica database (Python 3)
qmhandle_1.3.2-2_all.deb tool to manage the qmail message queue
Advertisement
Advertisement